This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PImage
Name | ### updatePixels()
Examples |
    PImage myImage;
    int halfImage;

    void setup() {
      size(100, 100);
      halfImage = width * height/2;
      myImage = loadImage("apples.jpg");
      myImage.loadPixels();
      for (int i = 0; i < halfImage; i++) {
        myImage.pixels[i+halfImage] = myImage.pixels[i];
      }
      myImage.updatePixels();
    }

    void draw() {
      image(myImage, 0, 0);
    }
Description | Updates the image with the data in its pixels[] array. Use in conjunction with loadPixels(). If you're only reading pixels from the array, there's no need to call updatePixels(). Certain renderers may or may not seem to require loadPixels() or updatePixels(). However, the rule is that any time you want to manipulate the pixels[] array, you must first call loadPixels(), and after changes have been made, call updatePixels(). Even if the renderer may not seem to use this function in the current Processing release, this will always be subject to change. Currently, none of the renderers use the additional parameters to updatePixels(), however this may be implemented in the future.
Syntax |
    pimg.updatePixels()
    pimg.updatePixels(x, y, w, h)
Parameters |
pimg | PImage: any object of type PImage
x | int: x-coordinate of the upper-left corner
y | int: y-coordinate of the upper-left corner
w | int: width
h | int: height
Returns | void

Updated on October 26, 2013 08:58:32pm PDT